summaryrefslogtreecommitdiff
path: root/speed-test
diff options
context:
space:
mode:
Diffstat (limited to 'speed-test')
-rwxr-xr-xspeed-test10
1 files changed, 10 insertions, 0 deletions
diff --git a/speed-test b/speed-test
new file mode 100755
index 0000000..50e6c78
--- /dev/null
+++ b/speed-test
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+
+set -eu
+
+
+python -O -m timeit -n 1000000 \
+ -s 'import debuglog' \
+ -s 'x = debuglog.DebugLog()' \
+ 'x.log(msg="foobar", url="yoyoyo")'